Early access - contact your account manager to enable card issuing for your platform.
Filter.ClientId to list the cards of one client, or filter by Filter.CardholderId, Filter.States, Filter.Type, Filter.Last4 or Filter.ExternalId.Sorting.SortBy is set. PagedFilter.PageNumber starts at 1; PagedFilter.PageSize defaults to 10.Authorization: ********************curl --location 'https://my.test-1.account.finlego.com/api/child-brand-integration/baas/Cards?Filter.ClientId=undefined&Filter.CardholderId=undefined&Filter.AccountId=undefined&Filter.States=undefined&Filter.Type=undefined&Filter.Last4=undefined&Filter.ExternalId=undefined&PagedFilter.PageNumber=undefined&PagedFilter.PageSize=undefined&Sorting.SortBy=undefined&Sorting.SortOrder=undefined' \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "0f8e2b6a-3c4d-4e5f-9a1b-7c2d3e4f5a6b",
"externalId": "card-000123",
"clientId": "5e505642-9024-474d-9434-e5a44f505cc5",
"cardProductId": "06776ac8-abe1-475b-92ee-72405c7b0e60",
"cardholderId": "29de7042-59a4-4af9-acc9-c12b40cdf661",
"cardholderName": "ANNA SCHMIDT",
"cardName": "Marketing subscriptions",
"type": "virtual",
"network": "visa",
"currency": "USD",
"state": "issuing",
"stateReason": null,
"last4": "4821",
"expirationMonth": 9,
"expirationYear": 2029,
"accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9",
"limits": [
{
"amount": 1000,
"interval": "perAuthorization"
}
],
"shipping": {
"address": {
"streetLine1": "string",
"streetLine2": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "string"
},
"recipientName": "Anna Schmidt",
"phoneNumber": "+4930123456789"
},
"createdAt": "2026-09-29T10:00:00Z"
}
],
"page": {
"pageNumber": 0,
"pageSize": 0,
"totalRecords": 0,
"totalPages": 0
}
}